#include <bits/stdc++.h>
using namespace std;
int N, Z, b, resenje; int n[100005]; int y[100005]; int z[100005];
int main(){
    cin >> N;
    for(int i = 1; i <= N; i++){
        cin >> n[i];
    }
    for(int i = 1; i <= N; i++){
        cin >> y[i];
    }
    for(int i=1; i<=N; i++){
        cin >> Z;
        z[y[Z]]++;
    }
    for(int i=1; i<=N; i++){
    resenje+=z[n[i]];
    }
    cout<<resenje;
return 0;
}